Paying too much to process cards? Get a cheaper quote today.Schedule a call →

Balance Transactions

3 endpoints. Base URL https://api.paymentsonline.io, sandbox https://api.sandbox-paymentsonline.io.

Every request needs payments-api-key and payments-account.

GET/v1/balance-transactions

List all Balance Transactions

Returns a list of Balance Transactions. The Balance Transactions are sorted with the most recently created appearing first.

Query parameters

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive).

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive).

  • typestring (charge | charge_failure_refund | dispute | dispute_won | refund | refund_failure | adjustment | commission | …)optional

    Only return transaction of the given type.

  • source_idstringoptional

    Only returns the original transaction.

  • payout_idstringoptional

    Only returns transactions that were paid out on the specified payout ID.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200PaginatedDto | object

  • has_morebooleanrequired

    Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

  • limitnumberoptional

    The maximum number of entries to return. If the value exceeds the maximum, then the maximum value will be used.

  • offsetnumberoptional

    The (zero-based) offset of the first item in the collection to return.

  • totalnumberoptional

    The total items count.

  • itemsarray of BalanceTransactionrequired

GET/v1/balance-transactions/{id}

Get a Balance Transaction

Retrieves the details of an existing Balance Transaction.

Path parameters

  • idstringrequired

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200BalanceTransaction

  • account_idstringrequired

  • amountnumberrequired

    Gross amount of the transaction, in the smallest currency unit (e.g., 100 cents to charge $1.00 or 100 to charge ¥100, a zero-decimal currency). Can be negative for certain transaction types (e.g. payout, refund).

  • available_onstring date-timerequired

    The date the transaction's net funds will become available in the Paydude balance.

  • created_atstring date-timerequired

    Time at which the object was created.

  • currencystring (aud | cad | dkk | eur | hkd | jpy | nzd | nok | …)required

    Three-letter [ISO currency code](https://www.iso.org/iso-4217-currency-codes.html), in lowercase.

  • descriptionstringoptional

    An arbitrary string attached to the object. Often useful for displaying to users.

  • feenumberrequired

    Fees (in smallest currency unit) paid for this transaction. Note: Fees are now portrayed as individual balance transactions of type = fee.

  • fee_detailsarray of BalanceTransactionFeeDetailrequired

    Detailed breakdown of the fees paid for this transaction. Note: Fees are now portrayed as individual balance transactions of type = fee. Refer to fee_type and fee_subtype for details.

  • fee_subtypestring (approved_verification | declined_verification | approved_authorization | declined_authorization | reversed_authorization | completed_credit | declined_credit | completed_settlement | …)optional

    Fee subtype, if this transaction represents a fee (i.e. type = fee).

  • fee_typestring (discount | transaction | interchange | pass_through | platform | chargeback | administrative | tax | …)optional

    Fee type, if this transaction represents a fee (i.e. type = fee).

  • idstringrequired

    Unique identifier for the object.

  • netnumberrequired

    Net amount of the transaction, in smallest currency unit. Note: Fees are now portrayed as individual balance transactions of type = fee. net will no longer differ from amount.

  • payout_idstringoptional

    The id of the Payout, if any, associated with this balance transaction.

  • source_idstringrequired

    Paydude id to which this transaction is related

  • source_typestring (charge | refund | payout | payment_method | platform_fee | platform_fee_refund | dispute | account | …)required

    Paydude resource type of source_id.

  • statusstring (available | pending)required

    If the transaction’s net funds are available in the Paydude balance yet. Either available or pending.

  • typestring (charge | charge_failure_refund | dispute | dispute_won | refund | refund_failure | adjustment | commission | …)required

    Transaction type.

  • updated_atstring date-timerequired

    Time at which the object was last updated.

GET/v1/balance-transactions/summary

Get a Balance Transactions Summary

Returns a summary of Balance Transactions grouped by time_unit, type, and currency.

Query parameters

  • time_unitstring (day | month)optional

    String indicating the unit of time to aggregate the summary of data.

  • time_zonestring (Africa/Abidjan | Africa/Accra | Africa/Addis_Ababa | Africa/Algiers | Africa/Asmara | Africa/Asmera | Africa/Bamako | Africa/Bangui | …)optional

    Time Zone by which to aggregate the results.

  • created_at_gtestring date-timeoptional

    Minimum created_at value to filter by (inclusive). Defaults to the beginning of the current month.

  • created_at_ltestring date-timeoptional

    Maximum created_at value to filter by (inclusive). Defaults to midnight tonight.

  • typesarray of string (charge | charge_failure_refund | dispute | dispute_won | refund | refund_failure | adjustment | commission | …)optional

    An array containing specific balance transaction types. The data will be filtered to include only transactions with a matching type property.

  • include_connected_accountsbooleanoptional

    Whether or not to include the results from any connected accounts.

Header parameters

  • payments-accountstringrequired

    The id of the Paydude Account (usually starting with the prefix acct_) that the request is performed on behalf of. Must be a merchant (connected) account id, not the partner account you signed up with; a partner account passes GET /v1/accounts and then fails with "not enabled for this account" on the first payment call.

Responses

200BalanceTransactionsSummary

  • dataarray of BalanceTransactionTypeSummariesrequired

    The list of aggregate balance transaction data, grouped by unit of time, type, and currency.

  • parametersBalanceTransactionsSummaryQueryParamsrequired

    The query parameters used to fetch these results, including default parameters.